﻿@model ViewOrdersInfo
@{
    ViewData["Title"] = "Home Page";
    Layout = "_Layout";
}
<div class="text-center">
    <h1 class="display-4">Редактирование заказа</h1>
</div>

<form method="post">
    @for (int i = 0; i < Model.ProvidersDTO.Count; i++)
    {
        <input asp-for="@Model.ProvidersDTO[i].Id" type="hidden" />
        <input asp-for="@Model.ProvidersDTO[i].Name" type="hidden" />
    }

    <input asp-for="@Model.OrdersDTO.Id" type="hidden" />

    <input asp-for="@Model.OrdersDTO.ProviderName" type="hidden" />
    <div class="container-fluid mt-3">
        <div class="form-row">
            <table class="table table-sm table-hover table-bordered">
                <caption> Заказ </caption>
                <thead>
                    <tr class="d-flex">
                        <th class="text-center col-1" scope="col">ID Заказа</th>
                        <th class="text-center col-2" scope="col">Дата</th>
                        <th class="text-center col-4" scope="col">Номер</th>
                        <th class="text-center col-5" scope="col">Поставщик</th>
                    </tr>
                </thead>
                <tbody>

                    <tr class="d-flex">
                        <td class="text-center col-1">
                            <input type="text" asp-for="@Model.OrdersDTO.Id" class="form-control" value="@Model.OrdersDTO.Id" disabled />
                        </td>

                        <td class="text-center col-2">
                            <input type="date" class="form-control" asp-for="@Model.OrdersDTO.Date" />
                        </td>

                        <td class="text-center col-4">
                            <input type="text" class="form-control" asp-for="@Model.OrdersDTO.Number" value="@Model.OrdersDTO.Number" />
                        </td>

                        <td class="text-center col-5">
                            <div class="form-group">
                                <select class="form-control"
                                        onchange="onFormSelected(this.value)"
                                        asp-for="@Model.OrdersDTO.ProviderId"
                                        asp-items="@(new SelectList(Model.ProvidersDTO, "Id", "Name"))">
                                </select>
                            </div>
                        </td>
                    </tr>

                </tbody>
            </table>
        </div>
    </div>


    <div class="text-center">
        <h1 class="display-4">Редактирование информации о заказе</h1>
    </div>

    <div class="container-fluid mt-3">
        <div class="form-row">
            <table id="submissionTable" class="table table-sm table-hover table-bordered">
                <caption> Состав заказа </caption>
                <thead>
                    <tr class="d-flex">
                        <th class="text-center col-3" scope="col">Название</th>
                        <th class="text-center col-3" scope="col">Количество</th>
                        <th class="text-center col-3" scope="col">Единица</th>
                        <th class="text-center col-3" scope="col">Операции с заказом</th>
                    </tr>
                </thead>
                <tbody>
                    @for (int i = 0; i < Model.OrderItemsDTO.Count(); i++)
                    {
                        <input asp-for="@Model.OrderItemsDTO[i].Id" type="hidden" />
                        <input asp-for="@Model.OrderItemsDTO[i].OrderId" type="hidden" />
                        <tr class="d-flex" id="@("tablerow"+@i)">
                            <td class="text-center col-3">
                                <input type="text" class="form-control" asp-for="@Model.OrderItemsDTO[i].Name" value="@Model.OrderItemsDTO[i].Name" />
                            </td>

                            <td class="text-center col-3">
                                <input type="text" class="form-control" asp-for="@Model.OrderItemsDTO[i].Quantity" value="@Model.OrderItemsDTO[i].Quantity" />
                            </td>

                            <td class="text-center col-3">
                                <input type="text" class="form-control" asp-for="@Model.OrderItemsDTO[i].Unit" value="@Model.OrderItemsDTO[i].Unit" />
                            </td>

                            <td class="text-center col-3">
                                <button asp-controller="Orders" asp-action="EditDeleteOrder"
                                        class="btn btn-block btn-outline-danger " type="submit" name="editId" asp-route-orderItemId="@Model.OrderItemsDTO[i].Id">
                                    Удалить
                                </button>
                            </td>
                        </tr>
                    }

                </tbody>
            </table>
        </div>
    </div>

    <div class="row">

        <div class="col">
            <button asp-controller="Orders" asp-action="SaveEditOrder"
                    class="btn btn-block btn-outline-primary" type="submit" name="saveOrderId">
                Сохранить
            </button>
        </div>

        <div class="col">
            <button id="add" asp-controller="Orders" asp-action="AddOrderItem"
                    class="btn btn-block btn-outline-success" type="submit" name="addOrder">
                Добавить заказ
            </button>
        </div>

    </div>
    <div class="row"></div>
</form>


<script type="text/javascript">
    var counter = (Model.OrderItemsDTO.Count()+1);
    $(function () {
        $('#add').click(function () {
            $('<tr class="d-flex" id="tablerow' + counter + '"><td>' +
                '<input type="text" class="form-control" name="Name[' + counter + ']" value="" required="required" />' +
                '</td>' +
                '<td>' +
                '<input type="text" class="form-control" name="Quantity[' + counter + ']" value="" required="required" />' +
                '</td>' +
                '<td>' +
                '<input type="text" class="form-control" name="Unit[' + counter + ']" value="" required="required" />' +
                '</td>' +
                '<class="text-center col-3">' +
                '<button type="button" class="btn btn-block btn-outline-danger" onclick="removeTr(' + counter + ');">Удалить</button>' +
                '</td>' +
                '</tr>').appendTo('#submissionTable');
            counter++;
            return false;
        });
    });
    function removeTr(index) {
        if (counter > (Model.OrderItemsDTO.Count()+1)) {
            $('#tablerow' + index).remove();
            counter--;
        }
        return false;
    }
</script>